Bug 180935 - upgrade to openobex 1.2
upgrade to openobex 1.2
Product: Fedora
Classification: Fedora
Component: openobex (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Depends On:
  Show dependency treegraph
Reported: 2006-02-10 11:27 EST by Jack Tanner
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-12 02:18:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch to upgrade to 1.2, compile apps from this src rpm, and include usb support (1.71 KB, patch)
2006-05-11 08:02 EDT, David Fraser
no flags Details | Diff

  None (edit)
Description Jack Tanner 2006-02-10 11:27:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20060202 Fedora/1.0.7-1.2.fc4 Firefox/1.0.7

Description of problem:
Rawhide contains openobex-1.0.1-4.2. Latest is openobex 1.1. See http://openobex.triq.net/downloads

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
rpm -q openobex

Additional info:
Comment 1 Alex Kanavin 2006-02-28 08:01:01 EST
Also, openobex-apps package is no longer needed and is out of date, as the
applications are now included into openobex itself. To build them from openobex
1.1, run ./configure --enable-apps 
Comment 2 Jack Tanner 2006-03-08 18:52:09 EST
Er, sorry about this, but... it looks like openobex-1.2 just came out. Updating
summary accordingly.
Comment 3 Harald Hoyer 2006-03-09 02:45:40 EST
too late for FC-5 ... 
Comment 4 Jack Tanner 2006-03-30 22:20:16 EST
ping for fc5 post release...
Comment 5 David Fraser 2006-05-11 07:58:24 EDT
I've done this independently, attaching my patch to the SPEC file
Note that the old patches for openobex-apps are not included, I don't think they
are neccessary (tehre is an extra obex_push application, but I think you can do
that with obex_test and if you want a real implementation you probably need
Comment 6 David Fraser 2006-05-11 08:02:01 EDT
Created attachment 128880 [details]
patch to upgrade to 1.2, compile apps from this src rpm, and include usb support

Note that if libusb-devel is present USB support will be compiled, so it seems
to make sense to make this a build requirement
Comment 7 Alex Kanavin 2006-05-11 08:06:00 EDT
obexfs (a FUSE filesystem on top of obexftp) is even better for transferring
files to/from phones, as it would mount the phone contents as a real filesystem.
It would look as if you just plugged in a thumb drive or inserted a CD. For USB
access this could happen automatically on connection, but for Bluetooth access
some sort of helper application that intergrates with KDE/GNOME bluetooth
browsers is probably better.
Comment 8 Alex Kanavin 2006-06-16 08:41:32 EDT
Openobex 1.3 is out, so please update to that.

Note You need to log in before you can comment on or make changes to this bug.